/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { of } from 'rxjs';
import { BreadcrumbsModule } from '../../../shared/breadcrumbs';
import { BreadcrumbsService } from '../../breadcrumbs.service';
import { BCI_LAYOUT_INTL_PROVIDER } from '../layout-intl';

import { BciHeaderComponent } from './bci-header.component';

describe('BciHeaderComponent', () => {
  let component: BciHeaderComponent;
  let fixture: ComponentFixture<BciHeaderComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [RouterTestingModule, BreadcrumbsModule],
        declarations: [BciHeaderComponent],
        providers: [BCI_LAYOUT_INTL_PROVIDER, { provide: BreadcrumbsService, useValue: { breadcrumbs: of([]), getShowOrHideBreadcrumbs: () => {return false}, 
        // eslint-disable-next-line no-empty-function
        setShowOrHideBreadcrumbs: () => {}} }],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(BciHeaderComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should be created', () => {
    expect(component).toBeTruthy();
  });
});
